<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:decimal-format name="defaultMoney" NaN="N/A" zero-digit="0"/>
	<xsl:template match="Section">
		<xsl:if test="not(@hi = 'true')">
			<tr>
				<td class="section" colspan="{$ncol}" id="_sec_cp_{@id}">
					<xsl:if test="@expand='open' or @expand='close' ">
						<xsl:attribute name="class">section_<xsl:value-of select="@expand"/></xsl:attribute>
						<xsl:attribute name="onclick">toogleDisplay( '_sec_<xsl:value-of select="@id"/>', '_sec_cp_<xsl:value-of select="@id"/>', 'section' )</xsl:attribute>
					</xsl:if>
					<xsl:value-of disable-output-escaping="yes" select="@cp"/>
				</td>
			</tr>
			<tr id="_sec_{@id}" >
				<xsl:if test="@expand='close'">
					<xsl:attribute name="style">display:none</xsl:attribute>
				</xsl:if>
				<td colspan="{$ncol}">
					<table width="100%" border="0" cellpadding="0" cellspacing="0">
						<xsl:choose>
							<xsl:when test="Grid">
								<xsl:apply-templates select="Grid">
									<xsl:with-param name="cont" select="."/>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="//Form/Grid">
									<xsl:with-param name="cont" select="."/>
								</xsl:apply-templates>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:apply-templates select="Section | View | TabPage | Hg | Field | SpaceLine | Custom"/>
						<xsl:apply-templates select="SubmitButton"/>
						<xsl:if test="$scol != 'null'">
							<xsl:variable name="ncol" select="$scol"/>
						</xsl:if>
					</table>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Hg">
		<xsl:if test="Field[@tp!='Hidden'] | Buttons[not(ancestor::View)] | View ">
			<tr>
				<xsl:apply-templates select="Field[@tp!='Hidden'] | Buttons[not(ancestor::View)] | View"/>
			</tr>
		</xsl:if>
		<xsl:apply-templates select="Field[@tp='Hidden']" />
	</xsl:template>
	<xsl:template match="Field[@tp='Hidden'] ">
		<input type="hidden" name="{@id}" id="{@id}" value="{@value}"/>
		<input Type="HIDDEN" name="$PRE.{@id}" id="$PRE.{@id}" Value="{@prevalue}"/>
	</xsl:template>
	<xsl:template match="Field">
		<xsl:param name="ext"/>
		<xsl:choose>
			<xsl:when test="name(..) ='Hg' or name(..) = 'Field' or name(..) = 'Buttons'">
				<xsl:call-template name="processField">
					<xsl:with-param name="ext" select="$ext"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<tr>
					<xsl:call-template name="processField">
						<xsl:with-param name="ext" select="$ext"/>
					</xsl:call-template>
				</tr>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="processField">
		<xsl:param name="ext"/>
		<xsl:choose>
			<xsl:when test="$ext">
				<span id="{@id}_cp" class="fieldName_ext">
					<xsl:if test="@cpstyle != '' ">
						<xsl:attribute name="style"><xsl:value-of select="@cpstyle"/></xsl:attribute>
					</xsl:if>
					<xsl:call-template name="processFieldCaption"/>
				</span>
				<span class="normal_ext">
					<xsl:call-template name="processFieldType"/>
				</span>
			</xsl:when>
			<!--xsl:when test="@tp='Hidden'">
				<input type="hidden" name="{@id}" id="{@id}" value="{@value}"/>
			</xsl:when-->
			<xsl:otherwise>
				<td id="{@id}_cp" class="fieldName">
					<xsl:if test="position() > 1">
						<xsl:attribute name="style"><xsl:value-of select="@cpstyle"/>;border-left:none</xsl:attribute>
					</xsl:if>
					<xsl:call-template name="processFieldCaption"/>
				</td>
				<td class="normal" valign="top">
				<!-- <td class="normal" nowrap="true" valign="top"> -->
					<xsl:call-template name="processFieldType"/>
				</td>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="processFieldCaption">
		<xsl:if test="@vspan">
			<xsl:attribute name="rowspan"><xsl:value-of select="@vspan"/></xsl:attribute>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="@hi = 'true'">
				<xsl:text disable-output-escaping="yes"> </xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="@calg != '' ">
					<xsl:attribute name="align"><xsl:value-of select="@calg"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="@extp = 'search' and name(..) != 'Field'">
					<xsl:attribute name="class">searchfieldcp</xsl:attribute>
				</xsl:if>
				<xsl:if test="@extp = 'true' and name(..) != 'Field' ">
					<xsl:attribute name="class">fieldcpmandatory</xsl:attribute>
				</xsl:if>
				<xsl:if test="@cpClass !='' ">
					<xsl:attribute name="class"><xsl:value-of select="@cpClass"/></xsl:attribute>
				</xsl:if>
				<xsl:call-template name="dispValue">
					<xsl:with-param name="val" select="@cp"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="dispValue">
		<xsl:param name="val"/>
		<xsl:choose>
			<xsl:when test="$val != '' ">
				<xsl:value-of disable-output-escaping="yes" select="$val"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="processFieldType">
		<xsl:if test="@hspan != '' ">
			<xsl:attribute name="colspan"><xsl:value-of select="@hspan"/></xsl:attribute>
		</xsl:if>
		<xsl:if test="position() = last()">
			<xsl:attribute name="colspan"><xsl:value-of select="$ncol - last()*2 + 1"/></xsl:attribute>
		</xsl:if>
		<xsl:if test="@style != '' ">
			<xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
		</xsl:if>
		<xsl:if test="@class != '' ">
			<xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute>
		</xsl:if>
		<xsl:if test="@vspan !='' ">
			<xsl:attribute name="rowspan"><xsl:value-of select="@vspan"/></xsl:attribute>
		</xsl:if>
		<xsl:if test="@alg != '' ">
			<xsl:attribute name="align"><xsl:value-of select="@alg"/></xsl:attribute>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="@hi = 'true'">
				<!-- <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp]]></xsl:text> -->
			</xsl:when>
			<xsl:otherwise>
				<input Type="HIDDEN" name="$PRE.{@id}" id="$PRE.{@id}" Value="{@prevalue}"/>
				<xsl:choose>
					<xsl:when test="ancestor-or-self::node()[@rd='true']  and @tp != 'DisplayBlock' ">
						<xsl:if test="@tp != 'Hidden' ">
							<xsl:choose>
								<xsl:when test="@tp = 'HTML' ">
									<div class="formReadOnly">
										<xsl:value-of select="@richtext" disable-output-escaping="yes"/>
									</div>
								</xsl:when>
								<xsl:when test="@tp = 'LabelBox' ">
									<xsl:if test="Link">
										<a class="label">
											<xsl:attribute name="href"><xsl:apply-templates select="Link" mode="func"/></xsl:attribute>
											<xsl:attribute name="target"><xsl:value-of select="./Link/@target"/></xsl:attribute>
											<!--<b>-->
											<!--<font color="Blue">-->
											<!--<xsl:value-of select="@value"/>-->
											<xsl:call-template name="processFormat"/>
											<!--</font>-->
											<!--</b>-->
										</a>
									</xsl:if>
								</xsl:when>
								<xsl:when test="@tp='ImageRef'">
									<xsl:call-template name="processImage"/>
								</xsl:when>
								<xsl:when test="@tp='Attachment'">
									<xsl:call-template name="processAttachment"/>
								</xsl:when>
								<xsl:when test="@tp='Image'">
									<a class="label">
										<xsl:if test="@value">
											<xsl:if test="Link">
												<xsl:attribute name="href"><xsl:apply-templates select="Link" mode="func"/></xsl:attribute>
												<xsl:attribute name="target"><xsl:value-of select="./Link/@target"/></xsl:attribute>
											</xsl:if>
											<img src="{@value}" name="{@id}" id="{@id}" border="0"/>
										</xsl:if>
									</a>
								</xsl:when>
								<xsl:when test="@cpvalue != '' ">
									<span id="{@id}">
										<xsl:attribute name="class"><xsl:choose><xsl:when test="@class != '' "><xsl:value-of select="@class"/></xsl:when><xsl:otherwise>formReadOnly</xsl:otherwise></xsl:choose></xsl:attribute>
										<xsl:if test="@style != ''">
											<xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
										</xsl:if>
										<xsl:value-of select="@cpvalue" disable-output-escaping="yes"/>
									</span>
								</xsl:when>
								<xsl:otherwise>
									<span id="{@id}">
										<xsl:attribute name="class"><xsl:choose><xsl:when test="@class != '' "><xsl:value-of select="@class"/></xsl:when><xsl:otherwise>formReadOnly</xsl:otherwise></xsl:choose></xsl:attribute>
										<xsl:if test="@style != ''">
											<xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
										</xsl:if>
										<xsl:call-template name="processFormat"/>
									</span>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
						<input Type="HIDDEN" name="{@id}" id="{@id}" Value="{@value}"/>
					</xsl:when>
					<xsl:when test="@auto='password'">
						<input Type="PASSWORD" name="{@id}" id="{@id}" size="{@wd}" maxlength="{@len}" class="form"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="@tp='DisplayBlock'">
								<xsl:value-of select="." disable-output-escaping="yes"/>
							</xsl:when>
							<xsl:when test="@tp='Upload'">
								<input Type="FILE" name="{@id}" id="{@id}" Value="{@value}" size="{@wd}" maxlength="{@len}" class="form">
									<xsl:call-template name="applyOnEvent"/>
								</input>
								<xsl:if test="@extp = 'true'">
									<script language="JavaScript" type="text/javascript">
                                                                                            fdCond.push(new Array('extp','<xsl:value-of select="@id"/>'));
                                                                                          </script>
								</xsl:if>
							</xsl:when>
							<xsl:when test="@tp='Image'">
								<xsl:if test="@value">
									<img src="{@value}" name="{@id}" id="{@id}" alt="IMAGE"/>
								</xsl:if>
							</xsl:when>
							<xsl:when test="@tp='TextBox'">
								<input Type="TEXT" name="{@id}" id="{@id}" Value="{@value}" onkeypress="{@onkey}" size="{@wd}" maxlength="{@len}" onblur="{@onblur}" onchange="{@onchange}">
									<xsl:attribute name="class"><xsl:choose><xsl:when test="@class != '' "><xsl:value-of select="@class"/></xsl:when><xsl:otherwise>form</xsl:otherwise></xsl:choose></xsl:attribute>
									<xsl:if test="@style != ''">
										<xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
									</xsl:if>
									<xsl:if test="//Form[@validate='true']">(<xsl:value-of select="@len"/>)</xsl:if>
									<xsl:if test="@format = 'money' ">
										<xsl:attribute name="onblur">this.value=fsFormatMoney(this.value);</xsl:attribute>
										<xsl:attribute name="style">text-align: right</xsl:attribute>
									</xsl:if>
								</input>
								<xsl:if test="@format = 'date'">
									<input type="Button" class="formButton" value="..." onClick="show_calendar_FSLL(this.form.elements[&apos;{@id}&apos;],getValue(&apos;_Dtfmt_date&apos;).toUpperCase())"/>
								</xsl:if>
								<xsl:if test="@format != ''">
									<script language="JavaScript" type="text/javascript">
                                                                                            fdCond.push(new Array('format','<xsl:value-of select="@format"/>','<xsl:value-of select="@id"/>','<xsl:value-of select="@min"/>','<xsl:value-of select="@max"/>'));
                                                                                          </script>
								</xsl:if>
								<xsl:if test="@extp = 'true'">
									<script language="JavaScript" type="text/javascript">
                                                                                            fdCond.push(new Array('extp','<xsl:value-of select="@id"/>'));
                                                                                          </script>
								</xsl:if>
								<xsl:if test="@stp = 'dateRange' ">
									<span class="fieldname_ext"> -- </span>
									<input Type="TEXT" name="{@id}_to_" id="{@id}_to_" Value="{@value_to}" onkeypress="{@onkey}" size="{@wd}" maxlength="{@len}" onblur="{@onblur}" onchange="{@onchange}" class="form">
										<xsl:if test="//Form[@validate='true']">(<xsl:value-of select="@len"/>)</xsl:if>
									</input>
									<input type="Button" class="formButton" value="..." onClick="show_calendar_FSLL(this.form.elements[&apos;{@id}_to_&apos;],getValue(&apos;_Dtfmt_date&apos;).toUpperCase())"/>
									<xsl:if test="@format != ''">
										<script language="JavaScript" type="text/javascript">
                                                                                            fdCond.push(new Array('format','<xsl:value-of select="@format"/>','<xsl:value-of select="@id"/>_to_','<xsl:value-of select="@min"/>','<xsl:value-of select="@max"/>'));
                                                                                          </script>
									</xsl:if>
								</xsl:if>
							</xsl:when>
							<xsl:when test="@tp='SelectBox'">
								<select class="form" name="{@id}" id="{@id}">
									<xsl:if test="@size">
										<xsl:attribute name="size" ><xsl:value-of select="@size"/></xsl:attribute>
									</xsl:if>
									<xsl:if test="@multiple">
										<xsl:attribute name="multiple"/>
									</xsl:if>
									<xsl:if test="@onclick">
										<xsl:attribute name="onclick"><xsl:value-of select="@onclick"/></xsl:attribute>
									</xsl:if>
									<xsl:choose>
										<xsl:when test="@refresh">
											<xsl:attribute name="onchange">javascript:<xsl:choose><xsl:when test="@func"><xsl:value-of select="@func"/></xsl:when><xsl:otherwise>refreshForm</xsl:otherwise></xsl:choose>('<xsl:value-of select="@refalias"/>','<xsl:value-of select="@refresh"/>',this.id,this.value,'<xsl:value-of select="@reset"/>')</xsl:attribute>
										</xsl:when>
										<xsl:when test="@onchange">
											<xsl:attribute name="onchange"><xsl:value-of select="@onchange"/></xsl:attribute>
										</xsl:when>
										
									</xsl:choose>
									<xsl:for-each select="SubList/Row">
										<option class="form">
											<xsl:choose>
																																				
												<xsl:when test="@value">
													<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="value"><xsl:value-of disable-output-escaping="yes" select="@cp"/></xsl:attribute>
												</xsl:otherwise>
												
											</xsl:choose>
											<xsl:if test="@selected">
												<xsl:attribute name="selected"/>
											</xsl:if>
											
											
											
												<xsl:choose>
												
												<!--<xsl:when test="contains(@cp,'script')">-->
												<xsl:when test="contains(translate(@cp, 'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz'),'script')">
													<xsl:variable name="reScript">
													<xsl:variable name="re_x">&lt;script&gt;</xsl:variable>
													<xsl:variable name="re_y"></xsl:variable>
	  
													<xsl:call-template name="replaceFunc">
													<xsl:with-param name ="text" select="@cp"/>
														<xsl:with-param name ="replace" select="$re_x"/>
														<xsl:with-param name ="by" select="$re_y"/>
													</xsl:call-template>	  
													</xsl:variable>
													
													<xsl:variable name="reScript2">
													<xsl:variable name="re_x2">&lt;/script&gt;</xsl:variable>
													<xsl:variable name="re_y2"></xsl:variable>
													<xsl:call-template name="replaceFunc">
													<xsl:with-param name ="text" select="$reScript"/>
														<xsl:with-param name ="replace" select="$re_x2"/>
														<xsl:with-param name ="by" select="$re_y2"/>
													</xsl:call-template>	  
													</xsl:variable>													
													<!--<xsl:value-of disable-output-escaping="yes" select="$reScript"/>-->
													<xsl:value-of disable-output-escaping="yes" select="$reScript2"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of disable-output-escaping="yes" select="@cp"/>
												</xsl:otherwise>
												</xsl:choose>
											<!--<xsl:value-of disable-output-escaping="yes" select="@cp"/>-->
										</option>
									</xsl:for-each>
								</select>
								<xsl:if test="@extp = 'true'">
									<script language="JavaScript" type="text/javascript">
											    fdCond.push(new Array('extp','<xsl:value-of select="@id"/>'));
											  </script>
								</xsl:if>
							</xsl:when>
							<xsl:when test="@tp='RadioBtn'">
								<xsl:for-each select="SubList/Row">
									<input type="radio" name="{../../@id}" value="{@value}" onclick="{@onclick}">
										<xsl:if test="not(@value)">
											<xsl:attribute name="value"><xsl:value-of disable-output-escaping="yes" select="@cp"/></xsl:attribute>
										</xsl:if>
										<xsl:if test="@selected">
											<xsl:attribute name="checked"/>
										</xsl:if>
									</input>
									<span class="formRadio">
										<xsl:value-of disable-output-escaping="yes" select="@cp"/>
									</span>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="@tp='CheckBtn'">
								<xsl:choose>
									<xsl:when test="count(SubList/Row) = 0">
										<span class_="normal">N/A</span>
									</xsl:when>
									<xsl:otherwise>
										<xsl:for-each select="SubList/Row">
											<input type="checkbox" name="{../../@id}" id="{../../@id}" value="{@value}" onclick="{../../@onclick}">
												<xsl:if test="not(@value)">
													<xsl:attribute name="value"><xsl:value-of disable-output-escaping="yes" select="@cp"/></xsl:attribute>
												</xsl:if>
												<xsl:if test="@selected">
													<xsl:attribute name="checked"/>
												</xsl:if>
											</input>
											<span class="formRadio">
												<xsl:value-of disable-output-escaping="yes" select="@cp"/>
											</span>
											<xsl:if test="position() mod 5 = 0 and position()!=last()">
												<br/>
											</xsl:if>
										</xsl:for-each>
										<xsl:if test="@extp='true'">
											<script language="JavaScript" type="text/javascript">
														fdCond.push(new Array('extp','<xsl:value-of select="@id"/>'));
													</script>
										</xsl:if>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="@tp='MessageBox'">
								<xsl:variable name="ln">
									<xsl:choose>
										<xsl:when test="@len">
											<xsl:value-of select="@len"/>
										</xsl:when>
										<xsl:otherwise>100</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<textarea name="{@id}" id="{@id}" cols="{@col}" rows="{@row}" class="form" onkeyUp="javascript:validateTextArea(this, {$ln},'{@cp}')" onBlur="javascript:validateTextArea(this, {$ln},'{@cp}')">
									<xsl:value-of select="@value"/>
								</textarea>
								<xsl:if test="//Form[@validate='true']">
									<br/>(<xsl:value-of select="@len"/>)</xsl:if>
								<xsl:if test="@extp = 'true'">
									<script language="JavaScript" type="text/javascript">fdCond.push(new Array('extp','<xsl:value-of select="@id"/>')); </script>
								</xsl:if>
							</xsl:when>
							<xsl:when test="@tp='LabelBox'">
								<xsl:choose>
									<xsl:when test="Link">
										<a class="label">
											<xsl:attribute name="href"><xsl:apply-templates select="Link" mode="func"/></xsl:attribute>
											<xsl:attribute name="target"><xsl:value-of select="./Link/@target"/></xsl:attribute>
											<xsl:value-of disable-output-escaping="yes" select="@value"/>
										</a>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of disable-output-escaping="yes" select="@value"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="@tp='Attachment' ">
								<xsl:call-template name="processAttachment"/>
								<input type="hidden" value="{@value}" id="{@id}" name="{@id}"/>
								<input type="Button" class="formButton" onClick="attachment('{@id}')">
									<xsl:attribute name="value"><xsl:choose><xsl:when test="@cp != ''"><xsl:value-of select="@cp"/></xsl:when><xsl:otherwise>Add/Remove Files</xsl:otherwise></xsl:choose></xsl:attribute>
								</input>
							</xsl:when>
							<xsl:when test="@tp='ImageRef' ">
								<xsl:call-template name="processImage"/>
								<input type="hidden" value="{@value}" id="{@id}" name="{@id}"/>
								<input type="hidden" value="{@watermk}" id="wmk_{@id}" name="wmk_{@id}"/>
								<input type="Button" class="formButton" value="Add/Remove Images" onClick="imageRef('{@id}')"/>
							</xsl:when>
							<xsl:when test="@tp='HTML' ">
								<xsl:call-template name="HTMLedit"/>
							</xsl:when>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="Field | Buttons ">
			<xsl:apply-templates select="Field | Buttons">
				<xsl:with-param name="ext" select="true()"/>
			</xsl:apply-templates>
		</xsl:if>
	</xsl:template>
	<xsl:template name="processImage">
		<div id="F_{@id}" class="imageRef">
			<table border="0">
				<tr>
					<xsl:for-each select="Attach">
						<xsl:if test="position() mod 6 = 0">
							<xsl:text disable-output-escaping="yes"><![CDATA[</tr><tr>]]></xsl:text>
						</xsl:if>
						<td align="center">
							<a href="{@path}{@id}" target="_blank">
								<img src="{@path}thn_{@id}" title="{@value}"/>
								<div>
									<xsl:value-of select="@value"/> (<xsl:value-of select="@size"/>k)
								</div>
							</a>
						</td>
					</xsl:for-each>
				</tr>
			</table>
		</div>
	</xsl:template>
	<xsl:template name="processAttachment">
		<div class="attachment" id="F_{@id}">
			<table border="0">
				<tr>
					<xsl:for-each select="Attach">
						<xsl:if test="position() mod 6 = 0">
							<xsl:text disable-output-escaping="yes"><![CDATA[</tr><tr>]]></xsl:text>
						</xsl:if>
						<td>
							<a href="{@path}{@id}" target="_blank">
								<xsl:value-of select="@value"/> (<xsl:value-of select="@size"/>k) 
							</a>
						</td>
					</xsl:for-each>
				</tr>
			</table>
		</div>
	</xsl:template>
	<xsl:template name="applyOnEvent">
		<xsl:if test="@onchange">
			<xsl:attribute name="onchange"><xsl:value-of select="@onchange"/></xsl:attribute>
		</xsl:if>
	</xsl:template>
	<xsl:template name="HTMLedit">
		<div class="HTMLEditTool">
			<a>
				<img src="../images/standardform/ed_start.gif"/>
			</a>
			<span>
				<select onchange="doFormat('FontName',this.value); this.value='0'" style="font-size : 10px;">
					<option value="0">Select Font</option>
					<option value="Arial">Arial</option>
					<option value="Courier New">Courier New</option>
					<option value="Helvetica">Helvetica</option>
					<option value="monospace">monospace</option>
					<option value="MS Sans Serif">MS Sans Serif</option>
					<option value="Times New Roman">Times New Roman</option>
					<option value="Verdana">Verdana</option>
				</select>
				<select onchange="doFormat('FontSize',this.value); this.value='0'" style="font-size : 10px;">
					<option value="0">Size</option>
					<option value="1">1</option>
					<option value="2">2</option>
					<option value="3">3</option>
					<option value="4">4</option>
					<option value="5">5</option>
					<option value="6">6</option>
					<option value="7">7</option>
				</select>
			</span>
			<a>
				<img src="../images/standardform/ed_sept.gif"/>
			</a>
			<a href="javascript:doFormat('Bold')">
				<img src="../images/standardform/ed_bold.gif"/>
			</a>
			<a href="javascript:doFormat('Italic')">
				<img src="../images/standardform/ed_italic.gif"/>
			</a>
			<a href="javascript:doFormat('Underline')">
				<img src="../images/standardform/ed_uline.gif"/>
			</a>
			<a>
				<img src="../images/standardform/ed_sept.gif"/>
			</a>
			<a href="javascript:doFormat('JustifyLeft')">
				<img src="../images/standardform/ed_left.gif"/>
			</a>
			<a href="javascript:doFormat('JustifyCenter')">
				<img src="../images/standardform/ed_center.gif"/>
			</a>
			<a href="javascript:doFormat('JustifyRight')">
				<img src="../images/standardform/ed_right.gif"/>
			</a>
			<a>
				<img src="../images/standardform/ed_sept.gif"/>
			</a>
			<a href="javascript:doFormat('InsertOrderedList')">
				<img src="../images/standardform/ed_list.gif"/>
			</a>
			<a href="javascript:doFormat('Indent')">
				<img src="../images/standardform/ed_next.gif"/>
			</a>
			<a href="javascript:doFormat('Outdent')">
				<img src="../images/standardform/ed_prev.gif"/>
			</a>
			<a>
				<img src="../images/standardform/ed_sept.gif"/>
			</a>
			<span onclick="swapMode(this)">HTML Mode</span>
		</div>
		<iframe name="frt_{@id}" id="frt_{@id}" width="{@col*7.5}" height="{@row*16}" onfocus="setEditor(this)"/>
		<textarea name="rt_{@id}" id="rt_{@id}" style="display:none">
			<xsl:value-of select="@richtext"/>
		</textarea>
		<input type="hidden" name="{@id}" id="{@id}" value="{@value}"/>
		<script language="javascript">
			textEdit = window.frames["frt_<xsl:value-of select="@id"/>"];
			textEdit.document.designMode="On";
			textEdit.document.open();
			textEdit.document.write("");
			textEdit.document.close();
			textEdit.document.body.innerHTML = ContentForm.elements["rt_<xsl:value-of select="@id"/>"].value
		</script>
	</xsl:template>
	<xsl:template name="processFormat">
		<xsl:choose>
			<xsl:when test="@format = 'money' and @value!='' ">
				<xsl:value-of select='format-number(@value,"###,###,###,##0.00","defaultMoney")' disable-output-escaping="yes"/>
			</xsl:when>
			<xsl:when test="@format = '$money' and @value!='' ">
				<xsl:value-of select='format-number(@value,"$###,###,###,##0.00","defaultMoney")' disable-output-escaping="yes"/>
			</xsl:when>
			<xsl:when test="@format = 'moneyshort' and @value!='' ">
				<xsl:value-of select='format-number(@value,"###,###,###,###.##","defaultMoney")' disable-output-escaping="yes"/>
			</xsl:when>
			<xsl:when test="@format = 'percent' and @value!='' ">
				<xsl:value-of select='format-number(@value,"##0.00","defaultMoney")' disable-output-escaping="yes"/>%
			</xsl:when>
      <xsl:when test="@tp='TextBox'">
        <xsl:call-template name="processHtmlPassThru">
          <xsl:with-param name="allowHtml" select="@allowHtml"/>
          <xsl:with-param name="value" select="@value"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
				<xsl:value-of select="@value" disable-output-escaping="yes"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
  <xsl:template name="processHtmlPassThru">
    <xsl:param name="allowHtml"/>
    <xsl:param name="value"/>
    <xsl:choose>
      <xsl:when test="$allowHtml='true'">
        <xsl:value-of select="$value" disable-output-escaping="yes"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$value" disable-output-escaping="no"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
