<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="ApplicationMenu[../@style='pulldown1']">
		<xsl:apply-templates select="Menu" mode="P1">
			<xsl:with-param name="lv1">0</xsl:with-param>
			<xsl:with-param name="lv2">0</xsl:with-param>
		</xsl:apply-templates>
	</xsl:template>
	<xsl:template match="Menu" mode="P1">
		<xsl:param name="lv1"/>
		<xsl:param name="lv2"/>
		<xsl:param name="tp"/>
		<xsl:param name="display"/>
		<xsl:variable name="dir">
			<xsl:choose>
				<xsl:when test="@lv > $lv1">1</xsl:when>
				<xsl:otherwise>0</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="p1">
			<xsl:choose>
				<xsl:when test="@lv > $lv2">p</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$lv2"/>
					<xsl:value-of select="$tp"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:if test="$display != '' and @selected">
			<input type="hidden" id="menuSelected" value="{@id}"/>
		</xsl:if>
		<ul id="{@id}" class="ly_mn_L{$p1}">
			<xsl:if test="$display != '' and @selected">
				<xsl:attribute name="style">display:<xsl:value-of select="$display"/></xsl:attribute>
			</xsl:if>
			<xsl:apply-templates select="Level" mode="LV">
				<xsl:with-param name="p1" select="$p1"/>
				<xsl:with-param name="p2" select="$dir"/>
			</xsl:apply-templates>
		</ul>
	</xsl:template>
	<xsl:template match="Level[not(@show) or @show = 'true']" mode="LV">
		<xsl:param name="p1"/>
		<xsl:param name="p2"/>
		<li class="ly_mn{$p1}{@selected}">
			<xsl:if test="@style!=''">
				<xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
			</xsl:if>
			<a onclick="setValue('_menu_LS', '{@id}')">
				<xsl:attribute name="onmouseout">closeMenu2('<xsl:value-of select="@link"/>',this)</xsl:attribute>
				<xsl:attribute name="onmouseover">showmenu(this, '<xsl:value-of select="@link"/>', '<xsl:value-of select="$p2"/>')</xsl:attribute>
				<xsl:attribute name="href"><xsl:apply-templates select="." mode="func"/></xsl:attribute>
				<xsl:attribute name="target"><xsl:value-of select="@target"/></xsl:attribute>
				<xsl:value-of select="@cp"/><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp]]></xsl:text>
			</a>
		</li>
	</xsl:template>
	<xsl:template match="ApplicationMenu[../@style='pulldown3']">
		<xsl:apply-templates select="Menu[@lv = 0 ]" mode="P2"/>
		<div>
			<xsl:apply-templates select="Menu[@lv = 1 ]" mode="P1">
				<xsl:with-param name="lv1">1</xsl:with-param>
				<xsl:with-param name="lv2">1</xsl:with-param>
				<xsl:with-param name="display">block</xsl:with-param>
			</xsl:apply-templates>
		</div>
		<xsl:apply-templates select="Menu[@lv > 1]" mode="P1">
			<xsl:with-param name="lv1">1</xsl:with-param>
			<xsl:with-param name="lv2">1</xsl:with-param>
		</xsl:apply-templates>
	</xsl:template>
	<xsl:template match="Menu" mode="P2">
		<ul id="{@id}" class="ly_mn_L0">
			<xsl:apply-templates select="Level" mode="L2"/>
		</ul>
	</xsl:template>
	<xsl:template match="Level[not(@show) or @show = 'true']" mode="L2">
		<li class="ly_mn0{@selected}">
			<xsl:if test="@style!=''">
				<xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
			</xsl:if>
			<a onclick="setValue('_menu_LS', '{@id}')">
				<xsl:attribute name="href"><xsl:apply-templates select="." mode="func"/></xsl:attribute>
				<xsl:attribute name="target"><xsl:value-of select="@target"/></xsl:attribute>
				<xsl:value-of select="@cp"/><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp]]></xsl:text>
			</a>
		</li>
	</xsl:template>
	<xsl:include href="_en_funcJavascript.xsl"/>
</xsl:stylesheet>
