<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="Custom1[../@style='std']">
		<img src="../images/mc_banner.gif"/>
	</xsl:template>
	<xsl:template match="SystemLogo[../@style='std']">
		<img src="{@logo}" alt="System Logo2"/>
	</xsl:template>
	<xsl:template match="WelcomeMessage[../@style='std']">
		<xsl:value-of select="@user"/>
	</xsl:template>
	<xsl:template match="WelcomeMessage[../@style='hello']">
		<span>
			Hello<xsl:text disable-output-escaping="yes"> </xsl:text>
			<b>
				<xsl:value-of select="@user"/>
			</b>
		</span>
	</xsl:template>
	<xsl:template match="NavigationBar[../@style='std']">
		<span>
			<xsl:value-of select="//PortalList/Portal[@isSelected]/@cp"/>
		</span>&gt;<span>
			<xsl:value-of select="//ApplicationList/Application[@isSelected]/@cp"/>
		</span>
		<xsl:for-each select="//ApplicationMenu//Level[@selected]">&gt;<a onclick="setValue('_menu_LS', '{@id}')">
				<xsl:attribute name="href"><xsl:apply-templates select="." mode="func"/></xsl:attribute>
				<xsl:value-of select="@cp"/><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp]]></xsl:text>
			</a>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="WorkgroupList[../@style='drop1']">
		<xsl:value-of select="@cp"/>
		<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp]]></xsl:text>
		<select name="selectPortal" onChange="portalSubmit(this.value)">
			<OPTION>Please select workgroup...</OPTION>
			<xsl:apply-templates select="Workgroup" mode="w1"/>
		</select>
	</xsl:template>
	<xsl:template match="PortalList[../@style='drop1']">
		<xsl:value-of select="@cp"/>
		<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp]]></xsl:text>
		<select name="selectPortal" onChange="portalSubmit(this.value)">
			<!--				<OPTION>Please select portal...</OPTION> -->
			<xsl:for-each select="Portal">
				<OPTION value="{@link}">
					<xsl:if test="@isSelected">
						<xsl:attribute name="selected"/>
					</xsl:if>
					<xsl:value-of select="@cp"/>
				</OPTION>
			</xsl:for-each>
		</select>
	</xsl:template>
	<xsl:template match="PortalList[../@style='list1']">
		<ul>
			<xsl:for-each select="Portal">
				<li>
					<xsl:if test="position() != 1">
						<img src="../images/web1/wh_star.gif"/>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="@isSelected">
							<span>
								<xsl:value-of select="@cp"/>
							</span>
						</xsl:when>
						<xsl:otherwise>
							<a href="javascript:portalSubmit('{@link}')">
								<xsl:value-of select="@cp"/>
							</a>
						</xsl:otherwise>
					</xsl:choose>
				</li>
			</xsl:for-each>
		</ul>
	</xsl:template>
	<xsl:template match="PortalList[../@style='listImg']">
		<ul>
			<xsl:for-each select="Portal">
				<li>
					<img src="{@img}" align="middle"/>
					<xsl:choose>
						<xsl:when test="@isSelected">
							<span>
								<xsl:value-of select="@cp"/>
							</span>
						</xsl:when>
						<xsl:otherwise>
							<a href="javascript:portalSubmit('{@link}')">
								<xsl:value-of select="@cp"/>
							</a>
						</xsl:otherwise>
					</xsl:choose>
				</li>
			</xsl:for-each>
		</ul>
	</xsl:template>
	<xsl:template match="PortalImage[../@style='std']">
		<xsl:if test="@img">
			<img src="{@img}" align="top"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="PortalImage2[../@style='std']">
		<xsl:if test="@img">
			<img src="{@img}" align="top"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Workgroup" mode="w1">
		<OPTION value="{@id}">
			<xsl:if test="@isSelected">
				<xsl:attribute name="selected"/>
			</xsl:if>
			<xsl:value-of select="@cp"/>
		</OPTION>
		<xsl:apply-templates select="Workgroup" mode="w1"/>
	</xsl:template>
	<xsl:template match="FunctionList[../@style='std']">


    <div class="p_applist_tabRC" style="width:100%;height:30px;background:#F7F7F7;">
      <div style="float:right;overflow:hidden;white-space:normal;word-break:break-all;padding-top:0px;">
        <xsl:for-each select="Function">
          <a class="aText" href="{@link}">
            <xsl:value-of select="@cp"/>
          </a>        
        </xsl:for-each>
      </div>
    </div>
    
    
    
    <!--
		<table border="0" cellpadding="0" cellspacing="3" ><tr>
			<xsl:for-each select="Function">
				<td><table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td width="8" height="20" background="../images/sys_func_left.gif"></td>
						<td background="../images/sys_func.gif" height="20" nowrap="true"><a href="{@link}"><font class="sysfunc"><xsl:value-of select="@cp"/></font></a></td>
						<td width="8" height="20" background="../images/sys_func_right.gif"></td>
					</tr>
				</table></td>
			</xsl:for-each>
		</tr></table>-->

	<!--
		<ul>
			<xsl:for-each select="Function">
				<li>
					<a href="{@link}">
						<xsl:value-of select="@cp"/>
					</a>
				</li>
			</xsl:for-each>
		</ul>
	-->
	</xsl:template>
	<xsl:template match="ApplicationList[../@style='tab1']">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td align="right" valign="bottom" height="26px">
					<xsl:for-each select="Application">
						<xsl:choose>
							<xsl:when test="@isSelected">
								<span class="ly_app_s_tab1">
									<xsl:value-of select="@cp"/>
								</span>
							</xsl:when>
							<xsl:otherwise>
								<a href="{@link}" class="ly_app_tab1">
									<xsl:value-of select="@cp"/>
								</a>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</td>
				<td width="10px"/>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="ApplicationList[../@style='tabRC']">
		<ul  class="Topmenu nolist fl hs_bw" style="width:750px;height:114px">
      <!--class="ly_app_tab_rc"-->
			<xsl:for-each select="Application">
				<xsl:choose>
					<xsl:when test="@isSelected">
						<!--<li class="ly_app_tab_rc_sel">
							<span>
								<span>
									<xsl:value-of select="@cp"/>
								</span>
							</span>
						</li>-->
            
            <xsl:choose>
              <xsl:when test="contains(@cp,'Home') or contains(@cp,'主页') or contains(@cp,'主頁') ">
                <li style="visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>
              <xsl:when test="contains(@cp,'Non Tradable Share Reform') or contains(@cp,'股权分置') or contains(@cp,'股權分置')">
                <li style="left: 99px; visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>              
              <xsl:when test="contains(@cp,'Maintenance') or contains(@cp,'类别设定') or contains(@cp,'類別設定')">
                  <li style="left: 200px; visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>
              <xsl:when test="contains(@cp,'Reports') or contains(@cp,'报告') or contains(@cp,'報告')">
                <li style="left: 300px; visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>
              <xsl:when test="contains(@cp,'Account') or contains(@cp,'用户帐户') or contains(@cp,'用戶帳戶')">
                <li style="left: 400px; visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>
              <xsl:when test="contains(@cp,'Simple') or @cp='搜索'">
                <li style="left: 500px; visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>
              <xsl:when test="contains(@cp,'Advanced') or contains(@cp,'高级搜索') or contains(@cp,'高級搜索')">
                <li style="left: 600px; visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>
              <xsl:when test="contains(@cp,'Operation') or contains(@cp,'管理功能')">
                <li style="left: 700px; visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>
              <xsl:when test="contains(@cp,'Portal') or contains(@cp,'门户设定') or contains(@cp,'門戶設定')">
                <li style="left: 800px; visibility: visible;">
                  <div class="lay0">
                    <a  class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:when>
              <xsl:otherwise>
                <li style="left: 900px; visibility: visible;">
                  <div class="lay0">
                    <a class="TopmenuBut" href="{@link}" style="color:#FFF;">
                      <xsl:value-of select="@cp"/>
                    </a>
                  </div>
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </li>
              </xsl:otherwise>
            </xsl:choose>


          </xsl:when>
					<xsl:otherwise>
						<!--<li class="ly_app_tab_rc_li">
              <div class="lay0">
								<a id="zyfw"  class="TopmenuBut" href="{@link}">
									<xsl:value-of select="@cp"/>
								</a>
              </div>-->
              <xsl:choose>                
                <xsl:when test="contains(@cp,'Home') or contains(@cp,'主页') or contains(@cp,'主頁') ">
                  <li style="visibility: visible;">
                  <div class="lay0">
                    <a id="zyfw" class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                      <xsl:value-of select="@cp"/>                                                                                      
                    </a>
                  </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:when test="contains(@cp,'Non Tradable Share Reform') or contains(@cp,'股权分置') or contains(@cp,'股權分置')">
                  <li style="left: 99px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw" class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:when test="contains(@cp,'Maintenance') or contains(@cp,'类别设定') or contains(@cp,'類別設定')">                  
                  <li style="left: 200px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw" class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:when test="contains(@cp,'Reports') or contains(@cp,'报告') or contains(@cp,'報告')">
                  <li style="left: 300px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw" class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:when test="contains(@cp,'Account') or contains(@cp,'用户帐户') or contains(@cp,'用戶帳戶')">
                  <li style="left: 400px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw"  class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:when test="contains(@cp,'Simple') or @cp='搜索'">                  
                  <li style="left: 500px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw"  class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:when test="contains(@cp,'Advanced') or contains(@cp,'高级搜索') or contains(@cp,'高級搜索')">                  
                  <li style="left: 600px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw"  class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:when test="contains(@cp,'Operation') or contains(@cp,'管理功能')">
                  <li style="left: 700px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw"  class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:when test="contains(@cp,'Portal') or contains(@cp,'门户设定') or contains(@cp,'門戶設定')">
                  <li style="left: 800px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw"  class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                    <div class="lay1" style="top: -88px;"></div>
                    <div class="lay2" style="top: -143px;"></div>
                  </li>
                </xsl:when>
                <xsl:otherwise>
                  <li style="left: 900px; visibility: visible;">
                    <div class="lay0">
                      <a id="zyfw"  class="TopmenuBut" style="color: rgb(81, 80, 80);" href="{@link}">
                        <xsl:value-of select="@cp"/>
                      </a>
                    </div>
                        <div class="lay1" style="top: -88px;"></div>
                        <div class="lay2" style="top: -143px;"></div>     
                  </li>
                </xsl:otherwise>
              </xsl:choose>           
            
            <!--
            <xsl:choose>
                <xsl:when test="contains(@cp,'Home')">
                  <div class="lay1" id="zyfwlay1" style="top:0;"></div>
                  <div class="lay2" id="zyfwlay2" style="top:0;"></div>
                </xsl:when>
                <xsl:otherwise>
                  <div class="lay1" style="top: -88px;"></div>
                  <div class="lay2" style="top: -143px;"></div>
                </xsl:otherwise>
              </xsl:choose>                            
            -->  
            
						<!--</li>-->
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</ul>
	</xsl:template>
	<xsl:template match="ApplicationList[../@style='leftSide']">
		<ul class="ly_app_side1">
			<xsl:for-each select="Application">
				<xsl:choose>
					<xsl:when test="@isSelected">
						<li class="ly_app_side1_sel">
							<span>
								<xsl:value-of select="@cp"/>
							</span>
							<xsl:apply-templates select="//ApplicationMenu/Menu" mode="P1">
								<xsl:with-param name="lv1">-1</xsl:with-param>
								<xsl:with-param name="lv2">0</xsl:with-param>
								<xsl:with-param name="tp">v</xsl:with-param>
							</xsl:apply-templates>
							<ul class="ly_mn_dummy">
								<li>
									<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
								</li>
							</ul>
						</li>
					</xsl:when>
					<xsl:otherwise>
						<li class="ly_app_side1_li">
							<a href="{@link}">
								<xsl:value-of select="@cp"/>
							</a>
						</li>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</ul>
	</xsl:template>
	<xsl:template match="ApplicationList[../@style='flatrec']">
		<div class="ly_app_flatrec">
			<a href="javascript:portalSubmit('entreeQAroot')">Back</a>|<xsl:for-each select="Application">
				<xsl:choose>
					<xsl:when test="@isSelected">
						<span onmouseout="closeMenu(0)">
							<xsl:attribute name="onmouseover">clearhidemenu(0); showmenu(this,'L0', menu1,0)</xsl:attribute>
							<xsl:value-of select="@cp"/>
						</span>
					</xsl:when>
					<xsl:otherwise>
						<a href="{@link}">
							<xsl:value-of select="@cp"/>
						</a>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="position() != last()">|</xsl:if>
			</xsl:for-each>
		</div>
	</xsl:template>
	<xsl:template match="ErrorMessage[../@style='error1']">
		<xsl:if test="Message">
			<xsl:attribute name="class">ly_error</xsl:attribute>
			<xsl:for-each select="Message">
				<div>
					<xsl:value-of select="@Value"/>
				</div>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="Warning">
			<xsl:attribute name="class">ly_warning</xsl:attribute>
			<xsl:for-each select="Warning">
				<div>
					<xsl:value-of select="@Value"/>
				</div>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ContentForm">
		<div class="ly_form_{../@style}">
			<xsl:apply-templates select="/Content/Form">
				<xsl:with-param name="sty" select="../@style"/>
			</xsl:apply-templates>
		</div>
	</xsl:template>
</xsl:stylesheet>
