<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="Layout">
		<xsl:apply-templates select="Frame" mode="root"/>
	</xsl:template>
	<xsl:template match="Frame" mode="root">
		<script language="JavaScript1.2" src="../include/_en_layout.js"/>
		<table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%" style="overflow:hidden;margin:0;">
			<tr>
				<xsl:apply-templates select="Column" mode="root">
					<xsl:sort select="@sort"/>
				</xsl:apply-templates>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="Column" mode="root">
		<td valign="top">
			<xsl:if test="@wd != '' ">
				<xsl:attribute name="width"><xsl:value-of select="@wd"/></xsl:attribute>
			</xsl:if>
			<xsl:if test="@alg != '' ">
				<xsl:attribute name="align"><xsl:value-of select="@alg"/></xsl:attribute>
			</xsl:if>
			<xsl:if test="@style != '' ">
				<xsl:attribute name="class"><xsl:value-of select="@style"/></xsl:attribute>
			</xsl:if>
			<xsl:apply-templates select="Element" mode="root">
				<xsl:sort select="@sort"/>
			</xsl:apply-templates>
		</td>
	</xsl:template>
	<xsl:template match="Element" mode="root">
		<div>
			<xsl:if test="@alg != '' ">
				<xsl:attribute name="align"><xsl:value-of select="@alg"/></xsl:attribute>
			</xsl:if>
			<xsl:if test="@tp != '' ">
				<xsl:attribute name="class"><xsl:value-of select="@tp"/>_<xsl:value-of select="@style"/></xsl:attribute>
			</xsl:if>
			<xsl:if test="@wd != '' ">
				<xsl:attribute name="style">width:<xsl:value-of select="@wd"/></xsl:attribute>
			</xsl:if>
			<xsl:if test="@tp != ''">
				<xsl:apply-templates select="WelcomeMessage | NavigationBar | PortalImage | PortalImage2 | PortalList | WorkgroupList | FunctionList | ApplicationList | ApplicationMenu | ContentForm | ErrorMessage|Custom1|Custom2|Custom3"/>
			</xsl:if>
			<xsl:if test="Column">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" id="t02">
          <xsl:if test="@wd != '' ">
						<xsl:attribute name="width"><xsl:value-of select="@wd"/></xsl:attribute>
					</xsl:if>
          <tr>
						<xsl:apply-templates select="Column" mode="root">
							<xsl:sort select="@sort"/>
						</xsl:apply-templates>
            </tr>
				</table>
			</xsl:if>
		</div>
	</xsl:template>
	<xsl:include href="_en_ly_detail.xsl"/>
	<xsl:include href="_en_ly_appmenu.xsl"/>
</xsl:stylesheet>
